Skip to main content
POST
/
api
/
v2
/
paybylink
/
{orderId}
/
resend
resend
curl --request POST \
  --url https://gateway.paybyrd.com/api/v2/paybylink/{orderId}/resend \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "sellerEmailAddress": "homer@simpsons.com",
  "shopperEmailAddress": "sideshowbob@simpsons.com",
  "shopperFirstName": "Sideshow",
  "shopperLastName": "Bob"
}
'
{
  "paybyLink": "https://gateway.paybyrd.com/en-US/hostedform?orderId=e424cabe-aebc-4968-a6d6-d2ef994a87ed",
  "orderId": "24380f18-5ecb-4300-b993-1ff9a62df81f"
}

Authorizations

x-api-key
string
header
required

Path Parameters

orderId
string<guid>
required

The unique order identifier that you want to resend.

Body

application/json
culture
string | null

Define the culture (language) you want PaybyLink to be emailed or SMS sent to the buyer. If not set, the merchant's language will be used as default.

personId
integer | null

Identify which merchant is the PaybyLink owner. If not informed, it is inferred by x-api-key, if authentication is via Bearer, its value is required.

Example:

10

sellerEmailAddress
string

This field represents the Paybylink email sender. If not informed "no-reply@yourdomain" will be used as the email.

shopperEmailAddress
string | null

If informed overrides the original shopper email that has been sent in PaybyLink creation.

shopperFirstName
string | null

If informed overrides the original shopper first name that has been sent in PaybyLink creation.

shopperLastName
string | null

If informed overrides the original shopper last name that has been sent in PaybyLink creation.

shopperPhoneCountryCode
integer

The phone country code.

shopperPhoneNumber
string | null

If informed overrides the original shopper phone number that has been sent in PaybyLink creation.

Response

200 - application/json

200

The PaybyLink URL that be used to proceed with payment.

Example:

"https://gateway.paybyrd.com/en-US/hostedform?orderId=e424cabe-aebc-4968-a6d6-d2ef994a87ed"

orderId
string<guid>
required

The unique identifier that represents the order that is created by the PaybyLink.

Example:

"24380f18-5ecb-4300-b993-1ff9a62df81f"